# File: rpm_specfiles/ddcui/coprall_0.4.0-1.spec
# Variant of ddcui spec file intended only for use with COPR

Name:    ddcui
Version: 0.4.0
Release: 1%{?dist}
Summary: Graphical user interface for ddcutil
License: GPLv2

# %%define _unpackaged_files_terminate_build 0 

URL:     http://www.ddcutil.com
Source:  http://www.ddcutil.com/tarballs/%{name}-%{version}.tar.gz
# Source:   %%{name}-%%{version}.tar.gz
# Note: Using rockowitz.github.io instead of www.ddcutil.com does not resolve problem 


BuildRequires: cmake
# BuildRequires: cmake-data
BuildRequires: gcc-c++
BuildRequires: pkgconfig
BuildRequires: pkgconfig(glib-2.0)   >= 2.40

# BuildRequires: pkgconfig(Qt5)  >= 5.5
BuildRequires: pkgconfig(Qt5Widgets) >= 5.5
BuildRequires: pkgconfig(Qt5Help)    >= 5.5

%if 0%{?suse_version}
BuildRequires: pkgconfig(ddcutil)    >= 1.2.2
%else
BuildRequires: libddcutil4           >= 1.2.2
BuildRequires: libddcutil-devel      >= 1.2.2
%endif
# hack, what pkgconfig file provides this?
# BuildRequires: qt5-qttools-devel

# BuildRequires: libappstream-glib
# Requires(pre): shadow-utils


# Requires: pkgconfig(Qt5Core)  >= 5.5
Requires: pkgconfig(ddcutil) >= 1.2.2

Requires: pkgconfig(Qt5Help) >= 5.5
Requires: pkgconfig(Qt5) >= 5.5

# Fedora guidelines say BuildRoot ignored
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description 
Graphical user interface for ddcuitl.

ddcutil communicates with monitors implementing MCCS (Monitor Control Command
Set), using either the DDC/CI protocol on the I2C bus or as a Human Interface
Device on USB.  In general, anything that can be controlled using a monitor's
on-screen display can be controlled by this program.  Examples include 
changing a monitor's input source and adjusting its brightness.

# belt and suspenders:
%global _hardened_build 0

%prep
# %%setup -q
%setup 

%build
%cmake --log-level=VERBOSE 
# with this define, fedora still builds on COPR, suse does not -DCMAKE_INSTALL_PREFIX=%%{_prefix}
# -DCMAKE_VERBOSE_MAKEFILE(:BOOL)="true'
%cmake_build

# %%check
# ctest -V %%{?_smp_mflags}

%install
%cmake_install
# appstream-util validate-relax --nonet %%{buildroot}%%{_metainfodir}/*appdata.xml


%files
%{_bindir}/ddcui
%doc     AUTHORS NEWS.md README.md CHANGELOG.md 
%license COPYING
%{_mandir}/man1/ddcui.1*
# %%{_datadir}/%%{name}
%{_datadir}/applications/ddcui.desktop
%{_datadir}/icons/hicolor/*/apps/ddcui.png
%{_datadir}/metainfo/ddcui.appdata.xml


%changelog

* Wed Sep 27 2023 Sanford Rockowitz <rockowitz@minsoft.com> 0.4.0-1
- Release 0.4.0

* Sat Jul 23 2022 Sanford Rockowitz <rockowitz@minsoft.com> 0.3.0-1
- Release 0.3.0

* Sat Jan 29 2022 Sanford Rockowitz <rockowitz@minsoft.com> 0.2.1-1
- Release 0.2.1

* Sat Feb 06 2021 Sanford Rockowitz <rockowitz@minsoft.com> 0.2.0-1
- Release 0.2.0

* Sat Jun 13 2020 Sanford Rockowitz <rockowitz@minsoft.com> 0.1.1-1
- Release 0.1.1

* Fri Dec 06 2019 Sanford Rockowitz <rockowitz@minsoft.com> 0.1.0-1
- Release 0.1.0

* Sat Oct 26 2019 Sanford Rockowitz <rockowitz@minsoft.com> 0.0.7-1
- Release 0.0.7

* Sun Nov 25 2018 Sanford Rockowitz <rockowitz@minsoft.com> 0.0.4-1
- Release 0.0.4
